package ink.wgink.module.activiti.pojo.vos.oa;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 表单字段与流程节点
 * @Author: WenG
 * @Date: 2022/3/17 19:51
 * @Version: 1.0
 **/
@ApiModel
public class NodeFieldVO {

    @ApiModelProperty(name = "fieldName", value = "字段名")
    @CheckEmptyAnnotation(name = "字段名")
    private String fieldName;
    @ApiModelProperty(name = "isVisible", value = "是否可见")
    @CheckEmptyAnnotation(name = "是否可见")
    private Integer isVisible;
    @ApiModelProperty(name = "isEditable", value = "是否可编辑")
    @CheckEmptyAnnotation(name = "是否可编辑")
    private Integer isEditable;

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public Integer getIsVisible() {
        return isVisible;
    }

    public void setIsVisible(Integer isVisible) {
        this.isVisible = isVisible;
    }

    public Integer getIsEditable() {
        return isEditable;
    }

    public void setIsEditable(Integer isEditable) {
        this.isEditable = isEditable;
    }
}